import { TranslateService } from '@aztrix/helpers';
import * as i0 from "@angular/core";
export declare class OpeningHoursDayViewComponent {
    private _translationService;
    days: string[];
    constructor(_translationService: TranslateService);
    activeLanguage$: import("rxjs").BehaviorSubject<string>;
    get dayRanges(): any[];
    nextIsInSequence(days: string[], day: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpeningHoursDayViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OpeningHoursDayViewComponent, "ax-opening-hours-day-view", never, { "days": "days"; }, {}, never, never, false, never>;
}
